## android-platform-build-kati 9.0.0+r45

=== Makefile ===
# Copyright 2015 Google Inc. All rights reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all: ckati ckati_tests

include Makefile.kati
include Makefile.ckati

test: all ckati_tests
	ruby runtest.rb -c -n

clean: ckati_clean

.PHONY: test clean ckati_tests

## android-platform-build-kati 9.0.0%2Br45

=== debian/control ===
Source: android-platform-build-kati
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Katerina <ykaterina0319@gmail.com>
Build-Depends: debhelper (>= 12~)
Standards-Version: 4.4.0.0
Homepage: https://android.googlesource.com/platform/build/kati
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-build-kati.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-build-kati

Package: ckati
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Experimental GNU make clone
 The main goal of this tool is to speed up incremental build of Android.
 Currently, kati does not offer a faster build by itself. It instead converts
 your Makefile to a ninja file.
 .
 ckati is the C++ version of kati.

## android-platform-build-kati 9.0.0+r45

=== debian/changelog ===
android-platform-build-kati (9.0.0+r45-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:33:03 +0100

android-platform-build-kati (9.0.0+r45-1) unstable; urgency=medium

  * Initial release. (Closes: #932751)

 -- Katerina <ykaterina0319@gmail.com>  Wed, 24 Jul 2019 22:55:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build: debian/ckati.mk
	dh_auto_build --buildsystem=makefile -- --file=$<

override_dh_auto_test:
	# Nope!

## android-platform-build-kati 10.0.0%2Br32%2Bgit20220314.09dfa26c4e59

=== debian/changelog ===
android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-7build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:09 +1200

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-7) unstable; urgency=medium

  * Put Built-Using into Built-Using (Closes: #1029912).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 31 Jan 2023 08:22:55 +0100

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-6) unstable; urgency=medium

  * Prevent integer constant overflow on 32-bit systems.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 28 Jan 2023 11:24:40 +0100

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-5) experimental; urgency=medium

  * Build the Go version of Kati as well.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 27 Jan 2023 16:14:03 +0100

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-4) unstable; urgency=medium

  * Instead of editing the Makefile at build time,
    actually patch it (Closes: #1023766).
  * Update the package description.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 27 Jan 2023 15:30:42 +0100

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-3) unstable; urgency=medium

  * Fix build dependencies for Hurd and ports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 27 Oct 2022 10:04:23 +0200

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-2) unstable; urgency=medium

  * Drop Go build-deps on architectures where they’re not available.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 21:10:05 +0200

android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Update build process to match the new upstream version.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 19:48:19 +0200

android-platform-build-kati (10.0.0+r32-6) unstable; urgency=medium

  * Optionally use ronn instead of pandoc which is not always available.
  * Use ronn to build the manpage on kfreebsd-any m68k sh4 x32.
  * Update the copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 12 May 2020 09:20:55 +0200

android-platform-build-kati (10.0.0+r32-5) unstable; urgency=medium

  * Add a manpage.
  * Run tests after the build.
    - Remove known failing tests before the build.
    - Tests are flaky, mark them as such.
  * Wrap and sort debian/control.
  * Add myself to Uploaders.
  * Move the smoke test into a separate script.
  * Add more autopkgtests.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 11 May 2020 21:20:29 +0200

android-platform-build-kati (10.0.0+r32-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 11 May 2020 15:30:35 +0200

android-platform-build-kati (10.0.0+r32-3) experimental; urgency=medium

  * Add experimental support for GNU/Hurd and BSD.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 07 May 2020 17:26:28 +0200

android-platform-build-kati (10.0.0+r32-2) unstable; urgency=medium

  * Add an autopkgtest.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 07 May 2020 14:30:24 +0200

android-platform-build-kati (10.0.0+r32-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Add debian/.gitlab-ci.yml

  [ Raman Sarda ]
  * New upstream version 10.0.0+r32.
  * Update Standards-Version.
  * Use debhelper-compat (= 12).
  * Add upstream metadata.
  * Add Rules-Requires-Root: no.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 07 May 2020 13:54:24 +0200

## android-platform-build-kati 10.0.0+r32

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,14 @@
 include Makefile.kati
 include Makefile.ckati
 
-test: all ckati_tests
-	ruby runtest.rb -c -n
+test: run_tests
+
+test_quietly: run_tests
+test_quietly: RUN_TESTS_QUIETLY := -q
+
+run_tests: all ckati_tests
+	ruby runtest.rb -c -n $(RUN_TESTS_QUIETLY)
+
 
 clean: ckati_clean

=== debian/control ===
Source: android-platform-build-kati
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders:
 Katerina <ykaterina0319@gmail.com>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 pandoc [!kfreebsd-any !m68k !sh4 !x32],
 ronn [kfreebsd-any m68k sh4 x32],
 ninja-build <!nocheck>,
 ruby <!nocheck>
Standards-Version: 4.5.0
Homepage: https://android.googlesource.com/platform/build/kati
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-build-kati.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-build-kati
Rules-Requires-Root: no

Package: ckati
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Experimental GNU make clone
 The main goal of this tool is to speed up incremental build of Android.
 Currently, kati does not offer a faster build by itself. It instead converts
 your Makefile to a ninja file.
 .
 ckati is the C++ version of kati.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build: debian/ckati.mk debian/ckati.1
	dh_auto_build --buildsystem=makefile -- --file=$<

%.1: %.md
	debian/md2man $< $@

override_dh_auto_test:
	-ruby runtest.rb -c -n -v

=== debian/watch ===
version=4
opts="pagemangle=s%\">android-%\.tar\.gz\">android-%g;s%/\+/refs/tags/%/+archive/%g, \
      uversionmangle=s%\.(\d+)\.\.tar\.gz%\+r$1%, \
      filenamemangle=s%[\w\/]+\+archive\/android-%@PACKAGE@-%" \
https://android.googlesource.com/platform/build/kati/+refs \
    [\w\/]+\+archive\/android-([0-9\.]+)_r(\d+|\d+\.\d+|\w)(\.tar\.gz) debian uupdate

## android-platform-build-kati 10.0.0+r32+git20220314.09dfa26c4e59

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,23 @@
 include Makefile.kati
 include Makefile.ckati
 
-test: run_tests
+info: ckati
+	@echo GNU MAKE VERSION
+	make --version
+	make -f Makefile version --no-print-directory
+	@echo
+	@echo CKATI VERSION
+	./ckati -f Makefile version
+	@echo
+	@echo SHELL VERSION
+	@echo $(SHELL)
+	$(SHELL) --version | head -n 1
 
-test_quietly: run_tests
-test_quietly: RUN_TESTS_QUIETLY := -q
+version:
+	@echo $(MAKE_VERSION)
 
-run_tests: all ckati_tests
-	ruby runtest.rb -c -n $(RUN_TESTS_QUIETLY)
-
+test: all ckati_tests
+	go test --ckati --ninja
 
 clean: ckati_clean

=== debian/changelog ===
android-platform-build-kati (10.0.0+r32+git20220314.09dfa26c4e59-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing include (Closes: #1074809).

 -- Bastian Germann <bage@debian.org>  Tue, 13 Aug 2024 12:00:44 +0200

=== debian/control ===
Source: android-platform-build-kati
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders:
 Katerina <ykaterina0319@gmail.com>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-golang <!nogolang>,
 pandoc [!kfreebsd-any !m68k !sh4 !x32 !alpha !hppa],
 ronn [kfreebsd-any m68k sh4 x32 alpha hppa],
 ninja-build <!nocheck>,
 golang-any <!nogolang>,
 golang-glog-dev <!nogolang>,
 golang-github-sergi-go-diff-dev <!nogolang>,
Standards-Version: 4.5.0
Homepage: https://android.googlesource.com/platform/build/kati
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-build-kati.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-build-kati
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/google/kati

Package: ckati
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: experimental GNU make clone
 The main goal of this tool is to speed up incremental build of Android.
 Currently, kati does not offer a faster build by itself. Instead, it
 converts your Makefile to a ninja file.
 .
 ckati is the C++ version of kati.

Package: kati
Architecture: any
Build-Profiles: <!nogolang>
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: experimental GNU make clone
 The main goal of this tool is to speed up incremental build of Android.
 Currently, kati does not offer a faster build by itself. Instead, it
 converts your Makefile to a ninja file.
 .
 This is the Go version of kati.

=== debian/tests/control ===
Tests: smoke, smoke-ninja
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: runtests-ninja
Depends: @, @builddeps@
Restrictions: allow-stderr, flaky

=== debian/watch ===
--- 
+++ 
@@ -4,3 +4,7 @@
       filenamemangle=s%[\w\/]+\+archive\/android-%@PACKAGE@-%" \
 https://android.googlesource.com/platform/build/kati/+refs \
     [\w\/]+\+archive\/android-([0-9\.]+)_r(\d+|\d+\.\d+|\w)(\.tar\.gz) debian uupdate
+
+opts="mode=git, pgpmode=none, pretty=10.0.0+r32+git%cd.%h, repack, compression=xz" \
+    https://github.com/google/kati.git \
+    HEAD
